/**
* Copyright (C) 2004-2005 Pantelis Frangoudis, Elias Efstathiou
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

package P2PWNC;

/**
 * This class represents a public/secret key pair. It is composed of two P2PWNCKey fields.
 *
 * @author Pantelis Frangoudis
 * @author Elias Efstathiou
 * @version 0.0.1
 */
class P2PWNCKeyPair extends P2PWNCProto{
        protected P2PWNCKey publicKey;
        protected P2PWNCKey secretKey;

        P2PWNCKeyPair(P2PWNCKey publicKey, P2PWNCKey secretKey) {
                this.publicKey = publicKey;
                this.secretKey = secretKey;
        }

        P2PWNCKeyPair() {
                this.publicKey = null;
                this.secretKey = null;
        }

        public P2PWNCKey getPublicKey() {
                return this.publicKey;
        }

        public P2PWNCKey getSecretKey() {
                return this.secretKey;
        }

        public void setPublicKey(P2PWNCKey publicKey) {
                this.publicKey = publicKey;
        }

        public void setSecretKey(P2PWNCKey secretKey) {
                this.secretKey = secretKey;
        }

}
