/**
* Copyright (C) 2004-2005 Pantelis Frangoudis, Elias Efstathiou
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

package P2PWNC;

/**
 * This class represents a P2PWNC protocol text message. It includes the message type and the actual text data.
 *
 * @author Pantelis Frangoudis
 * @author Elias Efstathiou
 * @version 0.0.1
 */
class P2PWNCMessage extends P2PWNCProto {
        protected int mtype;
        protected String text;

        P2PWNCMessage() {
                this.mtype = 0;
                this.text = null;
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

        P2PWNCMessage(int mtype, String text) {
                this.mtype = mtype;
                this.text = text;
        }

        public int getMessageType() {
                return this.mtype;
        }

        public String getText() {
                return this.text;
        }

        public void setMessageType(int mtype) {
                this.mtype = mtype;
        }

        public void setText(String text) {
                this.text = text;
        }

    private void jbInit() throws Exception {
    }
}
